#include <stdio.h>
#include <stdlib.h>

int main() {
	int N, K, i, max, maxi, min, mini, suma=0;
	scanf("%d %d", &N, &K);
	int a[N], b[K];
	for(i=0;i<N;i++){
		scanf("%d", &a[i]);
		if(i == 0){
			max = a[i];
			maxi = i;
			min = a[i];
			mini = i;
			continue;
		}
		if(a[i] > max){
			max = a[i];
			maxi = i;
		}
		if(a[i] < min){
			min = a[i];
			mini = i;
		}
	}
	suma = a[maxi] - a[mini];
	return 0;
}